org.apache.hadoop.yarn.api.protocolrecords

## Class GetResourceProfileRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetResourceProfileRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class GetResourceProfileRequest
      extends Object

  Request class for getting the details for a particular resource profile.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetResourceProfileRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `abstract String` | `getProfileName()`
    `int` | `hashCode()`
    `static GetResourceProfileRequest` | `newInstance(String profile)`
    `abstract void` | `setProfileName(String profileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetResourceProfileRequest

          public GetResourceProfileRequest()

  - ### Method Detail

    - #### newInstance

          public static GetResourceProfileRequest newInstance(String profile)

    - #### setProfileName

          public abstract void setProfileName(String profileName)

    - #### getProfileName

          public abstract String getProfileName()

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2022 Apache Software Foundation. All rights reserved.